package com.wteam.framework.common.enums;

public enum OrderStatus {
    ORDER_GENERATED(0, "订单生成"),
    PAYMENT_PROCESSING(1, "支付中"),
    PAYMENT_SUCCESSFUL(2, "支付成功"),
    PAYMENT_FAILED(3, "支付失败"),
    CANCELLED(4, "已撤销"),
    REFUNDED(5, "已退款"),
    ORDER_CLOSED(6, "订单关闭");

    private final int code;
    private final String description;

    OrderStatus(int code, String description) {
        this.code = code;
        this.description = description;
    }

    public int getCode() {
        return code;
    }

    public String getDescription() {
        return description;
    }

    // 可以根据需要添加其他方法
}
